Buy Singer Hand Carry Hair Dryer BY503 Online in Sri Lanka - SINGER
Singer App icon
Singer Sri Lanka
Singer (Sri Lanka) PLC
Free
DOWNLOAD
Singer Hand Carry Hair Dryer BY503

PRODUCT CODE: SIN-BY503

AVAILABLE
0
0
0
0
0

Rs.4,049 Rs. 4,499

10.00% OFF

Reward Points Icon

Earn 20 RED points with this purchase More Info

Offer Icon

Offer - Extra 10% off (Price is inclusive of Discount)

Offer Icon

Pay in 3 X Rs. 1,350 with mint-pay koko

1
1

Delivery - Standard 3 To 5 Working Days.

1 Years(s) Manufacturer Warranty

Find your nearest store to purchase offline.

Type HANDY TYPE
Speed Setings 2 Speeds
Temperature Settings Heat Setting
Special Features Foldable Handle
Cable 1.8m Cord
Power 1200W
Other Information Hanging Loop

No Reviews Yet

Be the first to review this product!

  1. Proof of identity - NIC, driving licence or passport.
  2. Age - should be above 18 years.
  3. Proof of residence by submitting one of the below (last bill):
    • Electricity Bill
    • Water Bill
    • Land phone Bill
  4. Proof of income – Ability to provide one of the following documents:
    • Pay Slip
    • Business registration certificate
    • Profit and loss statement
    • Certified income expenses statement for self employed
    • Any other
  5. Two nonrelated guarantors with repayment ability.

  1. Original documents as specified above.
  2. Additional conditions as applicable.
  3. Any further requirements as per the bank's policy.
Product Enquiry
Only letters and spaces allowed
10-15 digits only

Similar Products

Singer Rechargeable Hair Clipper With Two Detachable Combs
sale

SIN-RFC-2012

0
0
0
0
0
Singer Rechargeable Hair Clipper With Two Det...
Rs 4,319
Rs 5,399 20% Off
Singer Multi Functional Hair Trimmer - SIN-RFC-2058
sale

SIN-RFC-2058

0
0
0
0
0
Singer Multi Functional Hair Trimmer - SIN-RF...
Rs 7,649
Rs 8,499 10% Off
Singer Hair Clipper - SIN-RFC-1819
sale

SIN-RFC-1819

0
0
0
0
0
Singer Hair Clipper - SIN-RFC-1819
Rs 5,399
Rs 5,999 10% Off
Singer Hair Straightener BY605 - 35W

SIN-BY605

0
0
0
0
0
Singer Hair Straightener BY605 - 35W
Rs 4,499

Frequently Bought Items

Singer Rice Cooker 1L
sale

SRC-0510HS

0
0
0
0
0
Singer Rice Cooker 1L
Rs 6,934
Rs 7,299 5% Off
Prestige Ceramic Coating Non-Stick Cookware Fry Pan 24cm Ceraglide Grey - PCRG-FP24-442
sale

PCRG-FP24-442

0
0
0
0
0
Prestige Ceramic Coating Non-Stick Cookware F...
Rs 5,034
Rs 5,299 5% Off
Singer Digital 5L Air Fryer KA-AFT05014
sale

KA-AFT05014

0
0
0
0
0
Singer Digital 5L Air Fryer KA-AFT05014
Rs 18,999
Rs 23,999 20.83% Off
Global Tools Bike Lock - ATCBLGTTU - Medium (0.8 cm x 55 cm)

BY-ATCBLGTTU

0
0
0
0
0
Global Tools Bike Lock - ATCBLGTTU - Medium (...
Rs 1,599
Regnis Electric Kettle 1.8L
sale

REK-LJ18E

0
0
0
0
0
Regnis Electric Kettle 1.8L
Rs 4,749
Rs 4,999 5% Off
Islandwide Delivery
Islandwide Delivery
Fast, reliable delivery
After Sales Service
After Sales Service
Confidence on all your devices
Top-notch Support
Top-notch Support
Here whenever you need us
Trusted Warranty
Trusted Warranty
Warranty for all products